log4shib::SimpleLayout(3)

NAME
log4shib::SimpleLayout - BasicLayout is a simple fixed format Layout implementation.

SYNOPSIS

#include <SimpleLayout.hh>

Inherits log4shib::Layout.

  Public Member Functions
SimpleLayout ()
virtual ~SimpleLayout ()
virtual std::string format (const LoggingEvent &event)
Formats the LoggingEvent in SimpleLayout style:
 'priority - message'. "

Detailed Description

BasicLayout is a simple fixed format Layout implementation.

Constructor & Destructor Documentation

  log4shib::SimpleLayout::SimpleLayout ()

  log4shib::SimpleLayout::~SimpleLayout () [virtual]

Member Function Documentation

  std::string log4shib::SimpleLayout::format (const LoggingEvent & event) [virtual]

Formats the LoggingEvent in SimpleLayout style:
 'priority - message'.

Implements log4shib::Layout.

Author

Generated automatically by Doxygen for log4shib from the source code.